Bug 525058 - ld.so not correctly configured after install
Summary: ld.so not correctly configured after install
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tclx
Version: 11
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nikola Pajkovsky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-23 07:53 UTC by Aurélien Cedeyn
Modified: 2014-02-02 22:13 UTC (History)
2 users (show)

Fixed In Version: 8.4.0-14.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-21 00:39:02 UTC


Attachments (Terms of Use)

Description Aurélien Cedeyn 2009-09-23 07:53:53 UTC
Description of problem:
After install, the tclx C librairy can not be found by ld.so
# rpm -ql tclx | grep so
/usr/lib64/tcl8.5/tclx8.4/libtclx8.4.so << This file

Version-Release number of selected component (if applicable):
tclx-8.4.0-13.fc11.x86_64

How reproducible:
Install tclx and check the ld cache.

Steps to Reproduce:
1. yum install tclx 
2. ldconfig (ensure the update of the ld cache)
3. ldconfig -p | grep tclx

Actual results:
None

Expected results:
should be :
# ldconfig -p | grep tclx
        libtclx8.4.so (libc6,x86-64) => /usr/lib64/tcl8.5/tclx8.4/libtclx8.4.so

Additional info:
To solve this issue, I added a file called /etc/ld.so.conf.d/tclx containing :
/usr/lib64/tcl8.5/tclx8.4
and run ldconfig

It will be great to have this file directly in the package.

Thanks.

Comment 1 Nikola Pajkovsky 2009-09-25 14:40:09 UTC
try this build http://koji.fedoraproject.org/koji/taskinfo?taskID=1706943

it's same version so you have to erase your package first. If it helps you I will push it into updates.

Regards,
  Nikola

Comment 2 Aurélien Cedeyn 2009-09-28 08:18:28 UTC
I tried your build and now libtclx is correctly detected by ldconfig.

Thanks,

Aurélien

Comment 3 Fedora Update System 2009-09-29 08:48:21 UTC
tclx-8.4.0-14.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/tclx-8.4.0-14.fc11

Comment 4 Fedora Update System 2009-09-30 01:42:04 UTC
tclx-8.4.0-14.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tclx'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10116

Comment 5 Fedora Update System 2009-10-21 00:38:58 UTC
tclx-8.4.0-14.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.